# GimpUi.LabelSpin.new

    function new(text: String, value: Number(gdouble), lower: Number(gdouble), upper: Number(gdouble), digits: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_label_spin_new()
    }

Suitable increment values are estimated based on the [lower, upper] range. If digits is -1, then it will also be estimated based on the same range. Digits estimation will always be at least 1, so if you want to show integer values only, set 0 explicitly.

text

  The text for the Gtk.Label.

value

  The initial value.

lower

  The lower boundary.

upper

  The upper boundary.

digits

  The number of decimal digits.

Returns

  The new GimpUi.LabelSpin widget.